## plasma-workspace-wallpapers-6.5.3-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(wallpapers)
set(PROJECT_VERSION "6.5.3")

include(WriteBasicConfigVersionFile)
include(FeatureSummary)

set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)

install(DIRECTORY Autumn DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY BytheWater DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Canopee DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Cascade DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Cluster DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY ColdRipple DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY ColorfulCups DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY DarkestHour DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Elarun DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY EveningGlow DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY FallenLeaf DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY FlyingKonqui DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Grey DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY IceCold DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Kite DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Kokkini DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY OneStandsOut DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Opal DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY PastelHills DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Path DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY SafeLanding DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Shell DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY summer_1am DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Volna DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Flow DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY MilkyWay DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Altai DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Patak DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Honeywave DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Kay DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Mountain DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY ScarletTree DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Nexus DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Nuvole DESTINATION ${KDE_INSTALL_WALLPAPERDIR})
install(DIRECTORY Coast DESTINATION ${KDE_INSTALL_WALLPAPERDIR})

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

pkgname=plasma-workspace-wallpapers
pkgver=6.5.3
_dirver=$(echo $pkgver | cut -d. -f1-3)
pkgrel=1
pkgdesc='Additional wallpapers for the Plasma Workspace'
arch=(any)
url='https://kde.org/plasma-desktop/'
license=(LGPL)
makedepends=(extra-cmake-modules qt5-base)
groups=(plasma)
source=(https://download.kde.org/stable/plasma/$_dirver/$pkgname-$pkgver.tar.xz{,.sig})
sha256sums=('447d3a56750d53f53ce1a2735f35124466376ce3d0890b40200bc5fb88f01d97'
            'SKIP')
validpgpkeys=('E0A3EB202F8E57528E13E72FD7574483BB57B18D'  # Jonathan Esk-Riddell <jr@jriddell.org>
              '0AAC775BB6437A8D9AF7A3ACFE0784117FBCE11D'  # Bhushan Shah <bshah@kde.org>
              'D07BD8662C56CB291B316EB2F5675605C74E02CF'  # David Edmundson <davidedmundson@kde.org>
              '1FA881591C26B276D7A5518EEAAF29B42A678C20') # Marco Martin <notmart@gmail.com>

build() {
  cmake -B build -S $pkgname-$pkgver \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
